Moneybird logo
Moneybird API

Financial statements

Financial statements are comprised of financial mutations that are booked on a financial account. They provide a detailed record of all transactions for a specific account.


Delete a financial statement

DELETE
https://moneybird.com/api/v2
/{administration_id}/financial_statements/{id}{format}

Deletes a financial statement.

Required scope(s)

bank

Delete a financial statement › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Delete a financial statement › Responses

Financial statement deleted

No data returned

Update a financial statement

PATCH
https://moneybird.com/api/v2
/{administration_id}/financial_statements/{id}{format}

When updating a financial statement, you only need to provide the information you want to change. Attributes you don't provide in the request will not be updated.

Required scope(s)

bank

Update a financial statement › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Update a financial statement › Request Body

​object

Update a financial statement › Responses

Financial statement updated

id
​identifier · pattern: ^\d+$

A unique record identifier

financial_account_id
​identifier · pattern: ^\d+$

A unique record identifier

reference
​string
official_date
​string | null · date
official_balance
​string | null
importer_service
​string | null
​financial_mutation_response[]

Create a new financial statement

POST
https://moneybird.com/api/v2
/{administration_id}/financial_statements{format}

Creates a new financial statement. Provided financial mutations will be grouped in the statement.

Required scope(s)

bank

Create a new financial statement › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Create a new financial statement › Request Body

​object

Create a new financial statement › Responses

Financial statement created

id
​identifier · pattern: ^\d+$

A unique record identifier

financial_account_id
​identifier · pattern: ^\d+$

A unique record identifier

reference
​string
official_date
​string | null · date
official_balance
​string | null
importer_service
​string | null
​financial_mutation_response[]